Subject: Re: [PATCH] net: mdio-mux: bcm-iproc: fix wrong getter and setter pair

From: Andrew Lunn <[email-masked]>
Date: Fri, 27 Jul 2018 18:17:07 +0200

On Fri, Jul 27, 2018 at 06:57:47PM +0300, Anton Vasilyev wrote:
> mdio_mux_iproc_probe() uses platform_set_drvdata() to store md pointer
> in device, whereas mdio_mux_iproc_remove() restores md pointer by
> dev_get_platdata(&pdev->dev). This leads to wrong resources release.
> 
> The patch replaces getter to platform_get_drvdata.
> 
> Signed-off-by: Anton Vasilyev <[email-masked]>

Fixes: 98bc865a1ec8 ("net: mdio-mux: Add MDIO mux driver for iProc SoCs")
Reviewed-by: Andrew Lunn <[email-masked]>

    Andrew